Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157323 - internel error on exit when binary being debugged has changed
Summary: internel error on exit when binary being debugged has changed
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gdb
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Kratochvil
QA Contact:
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-10 16:37 UTC by John Ellson
Modified: 2008-05-07 00:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-07 00:10:23 UTC


Attachments (Terms of Use)

Description John Ellson 2005-05-10 16:37:59 UTC
Description of problem:
I'm not sure if this can be considered a real bug, or just an inelegance, but
the message says to report it, so...

If I reinstall a binary while gdb is still open on the previous incarnation of
that binary, then on exit gdb produces an internal error.

BFD: BFD 2.15.93 20041018 internal error, aborting at ../../gdb-6.3/bfd/cache.c
line 495 in bfd_cache_lookup_worker


Version-Release number of selected component (if applicable):
gdb-6.3.0.0-1.21

How reproducible:
100%

Steps to Reproduce:
1. gdb someapp
2. from another window, reinstall someapp
3. exit gdb
  
Actual results:
(gdb) The program is running.  Exit anyway? (y or n) y
BFD: BFD 2.15.93 20041018 internal error, aborting at ../../gdb-6.3/bfd/cache.c
line 495 in bfd_cache_lookup_worker

BFD: Please report this bug.

Expected results:


Additional info:

Comment 1 Bug Zapper 2008-04-03 16:09:24 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 2 Bug Zapper 2008-05-07 00:10:21 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp


Note You need to log in before you can comment on or make changes to this bug.